Page MenuHomePhabricator

Support for RTL text in the Score extension
Closed, ResolvedPublic

Description

Currently, score does properly render each word of an RTL piece of text but the phrase itself is rendered LTR (that is the order of words in a phrase reversed). There needs to be a way to specify that a phrase is in RTL. The current alternative is to type the words in reverse order which is lousy.

Event Timeline

Huji created this task.Apr 2 2018, 1:22 AM
Restricted Application added a project: I18n. · View Herald TranscriptApr 2 2018, 1:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ebe123 added a subscriber: Ebe123.Apr 2 2018, 1:28 AM

Could you paste an example please? Would \override #'(text-direction . -1) work?

Ebe123 claimed this task.Apr 2 2018, 1:28 AM
Ebe123 moved this task from Untriaged to RTL on the I18n board.
Ebe123 moved this task from Backlog to Other on the RTL board.
Amire80 renamed this task from Support for RTL text to Support for RTL text in the Score extension.Apr 2 2018, 7:18 AM
Amire80 awarded a token.
Huji added a comment.Apr 2 2018, 3:03 PM

Could you paste an example please? Would \override #'(text-direction . -1) work?

No. Please see https://fa.wikipedia.org/wiki/User:Huji/score for examples

Ebe123 triaged this task as Normal priority.May 20 2018, 6:58 PM
Ebe123 added a project: Upstream.

Reported upstream: https://sourceforge.net/p/testlilyissues/issues/5325/ . It is a bit odd to have RTL text in a LTR musical partition.

I found another task (dating from 2009) about supporting RTL partitions. The new task links to it.

Ebe123 moved this task from Backlog to Reported Upstream on the Upstream board.May 21 2018, 7:23 PM

@Huji: The solution proposed was to "put the text in double quotes, then even right-to-left scripts will be displayed correctly."

Hope this works as a stop-gap for you.

Ebe123 closed this task as Resolved.Sep 19 2018, 3:37 AM

Double quotes are the way to go.